Roadmap WebAppBuilder for 2D-App -- Move from ArcGIS API for JavaScript 3.xx to 4.xx

866
2
04-03-2017 02:52 AM
GISMountains
New Contributor III

Hey

I use the Web AppBuilder for ArcGIS (Developer Edition) 2.4. This version creates still 2D-application with the "ArcGIS API for JavaScript 3.xx". 

How is the roadmap to upgrade to "ArcGIS API for JavaScript 4.xx"?

Would there be an upgrade-path for the developed 2D-application in WebAppBuilder if the interface change to 4.xx?

Cheers

ArcGIS API for JavaScript

0 Kudos
2 Replies
RobertScheitlin__GISP
MVP Esteemed Contributor

GIS Mountains,

  Because the 4.x 2D API is still so lacking (editing tools, drawing tools, and much more) WAB will not be switching (based on info I have) until the 3.x and 4.x API are much closer in parity. I would just be impossible for WAB to use 4.x solely right now because there are so many thing the 4.x api can not do in 2D. There is no official or yet un-official time line that has been mentioned.

DerekLaw
Esri Community Moderator

Hi GIS Mountains,

> Because the 4.x 2D API is still so lacking (editing tools, drawing tools, and much more) WAB will not be switching (based on info I have) until the 3.x and 4.x API are much closer in parity.

Robert Scheitlin, GISP‌'s comment is correct. We need to wait until for functionality equivalency in the ArcGIS API for JavaScript v4.x to match v3.x, before we can migrate Web AppBuilder for ArcGIS to just use the v4.x API.

> There is no official or yet un-official time line that has been mentioned.

Unofficially, the JavaScript API Dev team is targeting the end of 2017/Q1 2018 for the ArcGIS API for JavaScript v4.x to match v3.x. It's likely that we would need some time afterwards to migrate Web AppBuilder to just use the v4.x API.

Hope this helps,